@import 'libs/shared/assets/src/global-style/color';

.container-fluid {
  background: $background-main;
  .form {
    background: $white-color;
  }
}
.flex {
  display: flex;
}
.form-row {
  justify-content: space-between;
  &__input {
    width: 99.5%;
    border-radius: 8px;
    height: 44px;
    border: 1px solid $border-color;
    padding: 4px 11px;
    &:hover, &:focus {
      border: 1px solid $primary-button-color;
      box-shadow: none;
    }
    &:focus-visible {
      outline: none;
      border: 1px solid $primary-button-color;
    }
  }

  &__left {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  &__right {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    position: fixed;
    top: 134px;
    z-index: 1000;
    right: 25px;
  }
}

.form-search {
  padding: 10px;
  text-align: left;
}

.pc-bt-center {
  align-self: center;
}

.select {
  margin-left: 15px;
  width: 70%;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 10px !important;
      min-height: 48px;
      display: flex;
      align-items: center;
    }
  }
}

.label {
  display: flex;
  justify-content: center;
  align-items: center;
  label {
    display: contents;
  }
}

.data-table {
  .table-header > th {
    background: $color-th;
    color: $text-pagination;
    font-family: avertaB, sans-serif;
  }
  .row-table:hover > td {
    background: $hover-table-row;
  }
  .activeRow {
    background-color: $active-color;
    color: $white-color;
    ::ng-deep {
      .ant-table-row-indent+.ant-table-row-expand-icon{
        color: $active-color-button;
      }
    }
    &:hover {
      background-color: $active-color;
      color: $white-color;
      td {
        background-color: $active-color;
        color: $white-color;
        button {
          color: $active-color-button;
        }
      }
    }
  }

}
